Page 2 of 3

Re: Install Domoticz on new raspbian/debian stretch

Posted: Sunday 10 September 2017 18:54
by sznupi
Installing libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb from http://mirrordirector.raspbian.org/rasp ... o/openssl/ seems to solve the issue (the libs posted above are apparently compiled against armv7)

Re: Install Domoticz on new raspbian/debian stretch

Posted: Monday 11 September 2017 15:24
by johanm
I started all over again. I was not sure about the status and installed versions of libssl anymore. And removing versions and install new ones did not bring any good results for me.

Did not do any customisation after restarting the fresh Raspbian Stretch-lite build!

Installed the above mentioned libsll:

Code: Select all

wget http://mirrordirector.raspbian.org/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
and Domoticz (stable)
sudo curl -L install.domoticz.com | sudo bash

Now it is working (without illegal instruction or libssl messages) :D

From here I will start with the customisation of the PI (Network, Mosquitto, NodeJS, NodeRed etc).

Thanks for the help!

Re: Install Domoticz on new raspbian/debian stretch

Posted: Monday 11 September 2017 20:14
by jeje77
1.

Code: Select all

cd domoticz
./updaterelease
2.

Code: Select all

wget http://mirrordirector.raspbian.org/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
3.

Code: Select all

sudo curl -L install.domoticz.com
Works for me :)

Re: Install Domoticz on new raspbian/debian stretch

Posted: Tuesday 12 September 2017 7:55
by wlevels
jeje77 wrote:
Monday 11 September 2017 20:14
1.

Code: Select all

cd domoticz
./updaterelease
2.

Code: Select all

wget http://mirrordirector.raspbian.org/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
3.

Code: Select all

sudo curl -L install.domoticz.com
Works for me :)
Works for me to :)

Re: Install Domoticz on new raspbian/debian stretch

Posted: Tuesday 12 September 2017 20:27
by sonar
If I install the libssl1.0.0 with dpkg when using the release version it works again.
When I update to beta I get the following error.

Code: Select all

 domoticz.sh[4390]: Illegal instruction

Re: Install Domoticz on new raspbian/debian stretch

Posted: Friday 15 September 2017 8:36
by bigsmooth
Hi,

I have same issue.
I don't if it is hardware specific, but I am trying to install it on a RPI 1.
My two cents.

Regards,
Olivier

Re: Install Domoticz on new raspbian/debian stretch

Posted: Friday 15 September 2017 9:57
by strebor
I read somewhere that there is an issue with the compilation of the ssl package ARM6/7 wise so it's going to be hardware specific if that's true. I reverted to jessie as I needed a working on Pi2 system.

Regards Strebor

Re: Install Domoticz on new raspbian/debian stretch

Posted: Friday 15 September 2017 10:52
by jannl
I only find some issues about Stretch on a pi1, on my Pi3 everthing I use works fine. I connect with the Domoticz app via HTTPS.

Re: Install Domoticz on new raspbian/debian stretch

Posted: Wednesday 20 September 2017 20:23
by hasseb
Hi, I also got "Connection Refused" after a clean install of the latest raspbian and the latest domoticz.
I used the latest RASPBIAN STRETCH WITH DESKTOP and then the curl line to install domoticz from a terminal in X.
The above suggestions solved my issue for the non secure http://<myip>:8080 or http://127.0.0.1:8080

I used

Code: Select all

cd ~
wget http://ftp.nl.debian.org/debian/pool/main/o/openssl/libssl1.0.0_1.0.2l-1~bpo8+1_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.2l-1~bpo8+1_armhf.deb
sudo service domoticz restart
sudo service domoticz start
And it worked! Thanks a lot guys! :-)

Re: Install Domoticz on new raspbian/debian stretch

Posted: Friday 13 October 2017 21:45
by skipi
Thank you so much!
johanm wrote:
Monday 11 September 2017 15:24
I started all over again. I was not sure about the status and installed versions of libssl anymore. And removing versions and install new ones did not bring any good results for me.

Did not do any customisation after restarting the fresh Raspbian Stretch-lite build!

Installed the above mentioned libsll:

Code: Select all

wget http://mirrordirector.raspbian.org/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb
and Domoticz (stable)
sudo curl -L install.domoticz.com | sudo bash

Now it is working (without illegal instruction or libssl messages) :D

From here I will start with the customisation of the PI (Network, Mosquitto, NodeJS, NodeRed etc).

Thanks for the help!

Re: Install Domoticz on new raspbian/debian stretch

Posted: Monday 16 October 2017 19:03
by JuanUil
Hi,

I did all the above mentioned.
I backed-up my database.
Uploaded it after install and then about 5 z-wave sensors and switches are not recognised.
tried again and again even with older back-ups but get the same result.
Any help?

Jan

Re: Install Domoticz on new raspbian/debian stretch

Posted: Tuesday 17 October 2017 19:58
by JuanUil
Nobody?

Re: Install Domoticz on new raspbian/debian stretch

Posted: Tuesday 17 October 2017 21:38
by jannl
Use a backup of your zwfg config file.

Re: Install Domoticz on new raspbian/debian stretch

Posted: Wednesday 31 January 2018 0:27
by RichardBokker
hasseb wrote:
Wednesday 20 September 2017 20:23
Hi, I also got "Connection Refused" after a clean install of the latest raspbian and the latest domoticz.
I used the latest RASPBIAN STRETCH WITH DESKTOP and then the curl line to install domoticz from a terminal in X.
The above suggestions solved my issue for the non secure http://<myip>:8080 or http://127.0.0.1:8080

I used

Code: Select all

cd ~
wget http://ftp.nl.debian.org/debian/pool/main/o/openssl/libssl1.0.0_1.0.2l-1~bpo8+1_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.2l-1~bpo8+1_armhf.deb
sudo service domoticz restart
sudo service domoticz start
And it worked! Thanks a lot guys! :-)
still works today!

thnx,

Re: Install Domoticz on new raspbian/debian stretch

Posted: Saturday 10 February 2018 15:37
by blauwebuis
still works

Re: Install Domoticz on new raspbian/debian stretch

Posted: Sunday 18 February 2018 22:54
by CafedelmarNL
Perfect!, Got 2 day same issues, thx a lot!

Re: Install Domoticz on new raspbian/debian stretch

Posted: Tuesday 20 February 2018 23:10
by manta99
I notice there were at least three people here unable to get Stretch working on the RPi 1/B. I came to this thread with the same problem.

The latest stable 8153 Domoticz gave me the 'illegal instruction' error post installation when requesting status and no browser access.

None of the libssl versions posted earlier worked for me, but eventually I found this one;

Code: Select all

wget http://mirror.nl.leaseweb.net/raspbian/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u7_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u7_armhf.deb
My RPi B (ARM1176JZF-S processor to be clear) is now working fine, at least with HTTP, not currently HTTPS, but still feels like a win to me!

Re: Install Domoticz on new raspbian/debian stretch

Posted: Sunday 18 March 2018 10:52
by SjoerdNLD
I can confirm that when installing on my 1/B with latest Stretch has the same problem;
Installing the below works!
manta99 wrote:
Tuesday 20 February 2018 23:10
I notice there were at least three people here unable to get Stretch working on the RPi 1/B. I came to this thread with the same problem.

The latest stable 8153 Domoticz gave me the 'illegal instruction' error post installation when requesting status and no browser access.

None of the libssl versions posted earlier worked for me, but eventually I found this one;

Code: Select all

wget http://mirror.nl.leaseweb.net/raspbian/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u7_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u7_armhf.deb
My RPi B (ARM1176JZF-S processor to be clear) is now working fine, at least with HTTP, not currently HTTPS, but still feels like a win to me!

Re: Install Domoticz on new raspbian/debian stretch

Posted: Friday 23 March 2018 16:00
by Arsenius
manta99 wrote:
Tuesday 20 February 2018 23:10
I notice there were at least three people here unable to get Stretch working on the RPi 1/B. I came to this thread with the same problem.

The latest stable 8153 Domoticz gave me the 'illegal instruction' error post installation when requesting status and no browser access.

None of the libssl versions posted earlier worked for me, but eventually I found this one;

Code: Select all

wget http://mirror.nl.leaseweb.net/raspbian/raspbian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u7_armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u7_armhf.deb
My RPi B (ARM1176JZF-S processor to be clear) is now working fine, at least with HTTP, not currently HTTPS, but still feels like a win to me!
Today i reinstalled my raspberry and i had the same issue.
After applying the libssl version you suggest and running the beta-update; http would work but for https i would get the error:

Code: Select all

Error: WebServer(SSL) startup failed on address 0.0.0.0 with port: 443: bind: Permission denied
Error: WebServer(SSL) check privileges for opening ports below 1024
i changed the /etc/init.d/domoticz.sh file to run https on port 8081, then run the init.d startup script and i was able to reach the https webinterface.

Re: Install Domoticz on new raspbian/debian stretch

Posted: Friday 23 March 2018 16:40
by jannl
My init.d script is run as root. 443 is allowed then.